## org.eclipse.datatools.connectivity.sqm.loader
Class JDBCUserDefinedTypeLoader.StructTypeFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCUserDefinedTypeLoader.StructTypeFactory

All Implemented Interfaces:
  JDBCUserDefinedTypeLoader.IUDTFactory

Direct Known Subclasses:
  JDBCUserDefinedTypeLoader.DistinctTypeFactory

Enclosing class:
  JDBCUserDefinedTypeLoader

public static class JDBCUserDefinedTypeLoader.StructTypeFactory
extends java.lang.Object
implements JDBCUserDefinedTypeLoader.IUDTFactory

Base factory implementation for struct UDTs.

Constructor Summary
`JDBCUserDefinedTypeLoader.StructTypeFactory()`

Method Summary
`UserDefinedType` `createUDT(java.sql.ResultSet rs)` Creates and initializes a new UserDefinedType object from the meta-data in the result set.
`EClass` `getUDTEClass()`
`void` `initialize(UserDefinedType udt, java.sql.ResultSet rs)` Initializes the new UserDefinedType object using the meta-data in the result set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCUserDefinedTypeLoader.StructTypeFactory

    public JDBCUserDefinedTypeLoader.StructTypeFactory()

Method Detail

### getUDTEClass

    public EClass getUDTEClass()

  Specified by:
    `getUDTEClass` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Returns:
    SQLDataTypesPackage.eINSTANCE.getStructuredUserDefinedType()
  See Also:
    `JDBCUserDefinedTypeLoader.IUDTFactory.getUDTEClass()`

### createUDT

    public UserDefinedType createUDT(java.sql.ResultSet rs)
                              throws java.sql.SQLException

  Creates and initializes a new UserDefinedType object from the meta-data in the result set.

  Specified by:
    `createUDT` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Parameters:
    `rs` - the result set
  Returns:
    a new, initialized UserDefinedType object.
  Throws:
    `java.sql.SQLException` - if anything goes wrong
  See Also:
    `JDBCUserDefinedTypeLoader.IUDTFactory.createUDT(java.sql.ResultSet)`

### initialize

    public void initialize(UserDefinedType udt,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Initializes the new UserDefinedType object using the meta-data in the result set. This method initializes the name and description of the UDT.

  Specified by:
    `initialize` in interface `JDBCUserDefinedTypeLoader.IUDTFactory`
  Parameters:
    `udt` - a new UserDefinedType object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.